name: "Commit Report Sync"
description: "Syncs a report on commits to another repository"

inputs:
  target_repo_domain:
    default: "github.com"
  target_repo_owner:
    description: "E.g. for repo 'owner/repo', the owner is 'owner'"
    required: true
  target_repo_name:
    description: "E.g. for repo 'owner/repo', the name is 'repo'"
    required: true
  # TODO - check if it's possible to retrieve source-repo info from context (i.e. does context plumb-through details of
  # the calling repo to a called-action?)
  source_repo_domain:
    rquired: true
  source_repo_owner:
    description: "E.g. for repo 'owner/repo', the owner is 'owner'"
    required: true
  source_repo_name:
    description: "E.g. for repo 'owner/repo', the name is 'repo'"
    required: true
  dry_run:
    type: boolean
    default: "false"
  token_for_target_repo:
    description: "A token with write access to the target repo"
    required: true

runs:
  using: "node20"
  main: "dist/index.js"
